Data Sources

Update Data Source

PATCH
/v0/project/{idOrSlug}/data-sources/{id}

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v0/project/string/data-sources/string" \  -H "Content-Type: application/json" \  -d '{    "metricShape": "scalar"  }'
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "referenceId": "string",
  "dataType": "number",
  "regex": "string",
  "allowNegative": true,
  "allowFloat": true,
  "minValue": 0,
  "maxValue": 0,
  "isArray": true,
  "metricShape": "scalar",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "_tag": "DataSourceValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}